PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerVTKFWrite

write binary data preceded by 32-bit int length (in bytes), does not do byte swapping.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerVTKFWrite(PetscViewer viewer,FILE *fp,const void *data,PetscInt n,MPI_Datatype dtype)

Logically collective on PetscViewer

### Input Parameters

| viewer | - logically collective viewer, data written from rank 0
| fp | - file pointer valid on rank 0
| data | - data pointer valid on rank 0
| n | - number of data items
| dtype | - data type

### Notes

If PetscScalar is __float128 then the binary files are written in double precision

### See Also

DMDAVTKWriteAll(), DMComplexVTKWriteAll(), PetscViewerPushFormat(), PetscViewerVTKOpen(), PetscBinaryWrite()

### Level

developer

### Location

src/sys/classes/viewer/impls/vtk/vtkv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages